Sign inGet started

Organizations

POST
/organizations
Create a new organization for the current user.
Verzoek-payload
name
string
verplicht
Organization's display name.
slug
string
verplicht
Organization's human-readable identifier.
countryCode
string
verplicht
The country in which the organization operates.
Antwoord-payload
id
string
verplicht
The organization's ID
name
string
verplicht
Organization's display name.
slug
string
verplicht
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
verplicht
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
verplicht
How many members are active
owner
string
verplicht
ID of the user that owns the organization
createdAt
string
verplicht
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Onderliggende attributen tonen
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Codevoorbeeld
curl -X POST 'https://api.bird.com/organizations' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}
Get an organization by its ID.
Antwoord-payload
id
string
verplicht
The organization's ID
name
string
verplicht
Organization's display name.
slug
string
verplicht
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
verplicht
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
verplicht
How many members are active
owner
string
verplicht
ID of the user that owns the organization
createdAt
string
verplicht
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Onderliggende attributen tonen
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}
Update an organization's properties.
Verzoek-payload
name
string
Organization's display name.
avatarUrl
string
The url of the avatar displayed next to the org
status
string
Possible values: banned, active
statusReason
string
The reason for the organization's status
owner
string
The organization's owner's ID
Antwoord-payload
id
string
verplicht
The organization's ID
name
string
verplicht
Organization's display name.
slug
string
verplicht
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
verplicht
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
verplicht
How many members are active
owner
string
verplicht
ID of the user that owns the organization
createdAt
string
verplicht
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Onderliggende attributen tonen
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'